<h1 align="center">my-repo</h1>
<h3 align="center"><b>my-repo</b> will locally store <b>Stackoverflow</b> answers, comments, ratings and personal keywords of your favorite marked questions. <b>Only for Linux.</b></h3>

<div align="center">
    <a href="https://github.com/calexandru2018/my-repo/blob/master/LICENSE">
        <img src="https://img.shields.io/github/license/calexandru2018/my-repo">
    </a>
    <a href="https://liberapay.com/calexandru2018/donate">
        <img src="http://img.shields.io/liberapay/goal/calexandru2018.svg?logo=liberapay">
    </a>
</div>

The idea with <b>my-repo</b> is so that you can save all of your favorite stackoverflow questions locally on your computer. The idea came when I was travelling by plane. 
<br><br>Sometimes when we (developers) travel, we might not have access to internet. At that moment we end up wishing that we somehow could have saved some of those stackoverflow favorites in our browser, just so that we could use them later. We all know that many of the Stackoverflow questions/answers are great for our development as software developers, so that is why I wanted to do something like this. So that I could work whenever and wherever I am.

### Installing Dependencies

**Dependencies:**

- python3.5+
- pip for python3 (pip3)
- setuptools for python3 (python3-setuptools)
- requests
- requests-oauthlib
- oauthlib
- selenium
- pyqt5
- <a href="https://github.com/mozilla/geckodriver/releases">geckodriver</a>


Install the following packages based on your distro:

| **Distro**                              | **Command**                                                                                                                           |
|:----------------------------------------|:---------------------------------------------------------------------------------------------------------                             |
|Fedora/CentOS/RHEL                       | `sudo dnf install -y python3-pip python3-setuptools python3-pyqt5`                                              |
|Ubuntu/Linux Mint/Debian and derivatives | `sudo apt install -y python3-pip python3-setuptools python3-pyqt5`                        |
|OpenSUSE/SLES                            | `sudo zypper in -y python3-pip python3-setuptools python3-pyqt5`  |
|Arch Linux/Manjaro                       | `sudo pacman -S python-pip python-setuptools python-pyqt5`       |


## Installing my-repo

Before proceeding with with the next installation steps, make sure that you have downloaded <a href="https://github.com/mozilla/geckodriver/releases">geckodriver</a> and moved it into `/usr/lib` or `/usr/local/lib`, otherwise this will not work.

You can either install via <b>PIP</b> or by cloning the repository.

*Note: Make sure to run pip with sudo*

`sudo pip3 install my-repo-calexandru2018`

### To update to a new version

`sudo pip3 install my-repo-calexandru2018 --upgrade`

## Manual Installation

1. Clone this repository

    `git clone https://github.com/calexandru2018/my-repo`

2. Step into the directory

   `cd my-repo`

3. Install

    `sudo python3 setup.py install`

### How to use

 `my-repo`

### Not yet implemented:
- GUI
- Add own (personal) keywords
- Searching/Filter

## GUI Layout

<p align="center">
  <img src="https://i.imgur.com/hPYZw28.png" alt="Logo"></img>
</p>

<p align="center">
  <img src="https://i.imgur.com/nzWsIwn.png" alt="Logo"></img>
</p>
