import logging
import os

from logging.handlers import RotatingFileHandler
from my_repo.constants import CONFIG_DIR

def logger():
    """Create the logger.
    """
    if not os.path.isdir(CONFIG_DIR):
        os.mkdir(CONFIG_DIR)
        
    formatter = logging.Formatter("%(asctime)s — %(name)s — %(levelname)s — %(funcName)s:%(lineno)d — %(message)s")
    log = logging.getLogger("my-repo")
    log.setLevel(logging.DEBUG)

    #logging.basicConfig(filename=LOG_FILE, level=logging.DEBUG)
    
    LOGFILE = os.path.join(CONFIG_DIR, "my-repo.log")
    file_handler = RotatingFileHandler(LOGFILE, maxBytes=3145728, backupCount=1)
    file_handler.setFormatter(formatter)
    log.addHandler(file_handler)

    return log

logger = logger()